#include "testApp.h"


//--------------------------------------------------------------
void testApp::setup(){	
	
	ofSetVerticalSync(true);
	ofSetFrameRate(60);
	ofEnableAlphaBlending();
	
	mercury.setup();
	venus.setup();
	earth.setup();
	moon.setup();
	
	mars.setup();
	marsMoon1.setup();
	marsMoon2.setup();
}

//--------------------------------------------------------------
void testApp::update(){
	
	mercury.update(40, 0.04);
	venus.update(70, 0.006);
	earth.update(100, 0.02);
	moon.update(60, 0.08);

	mars.update(200, 0.01);
	marsMoon1.update(100, 0.03);
	marsMoon2.update(60, 0.009);
}

//--------------------------------------------------------------
void testApp::draw(){
	ofBackground(0, 0, 0);
	
	ofSetColor(200, 200, 200);
	
	for (int i=0; i<1000; i++) {
		ofCircle(ofRandom(0, ofGetWidth()), ofRandom(0, ofGetHeight()), 1);
	}
	
	
	mercury.draw(255, 0, 0, 7, ofGetWidth()/2, ofGetHeight()/2);
	venus.draw(255, 0, 255, 20, ofGetWidth()/2, ofGetHeight()/2);
	earth.draw(0, 100, 255, 25, ofGetWidth()/2, ofGetHeight()/2);
	moon.draw(200, 200, 200, 2, earth.x, earth.y);
	
	mars.draw(255, 0, 0, 30, ofGetWidth()/2, ofGetHeight()/2);
	marsMoon1.draw(200, 200, 200, 5, mars.x, mars.y);
	marsMoon2.draw(200, 200, 200, 3, mars.x, mars.y);
	
	ofSetColor(255, 255, 0);
	ofCircle(ofGetWidth()/2, ofGetHeight()/2, 20);
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 
}

//--------------------------------------------------------------
void testApp::keyReleased  (int key){ 
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(){
}
